Summary:	A beowulf/cluster/LAN monitoring tool
Name:		wulfstat
Version:	0.6.2
Release:	1
Group:		Applications/System
Url:		http://www.phy.duke.edu/~rgb/Beowulf/wulfstat.php
License:	GPL v2b
Source:		%{name}.tgz
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gnome-libs, libxml2-devel, ncurses

%description 

wulfstat is a simple yet powerful tty (ncurses) based cluster monitoring
tool.  It requires xmlsysd (running on each system to be monitored) to
efficiently provide it with system and proc-derived information that is
processed and provided to the user in one of several user-selectable
display formats.  With it a user can monitor things across en entire
beowulf, cluster, or workstation LAN systems descriptors such as load
average, memory consumption, swap, page, and interrupt activity and
network loads or can even retrieve and display such mundane information
is CPU make and base clock, system time, uptime or other potentially
useful but slowly varying system descriptors.  The information presented
is updated regularly after a user-selectable delay.  The tool allows
displays to be selected or changed while the application is running, and
more hosts or nodes can be displayed than will easily fit on a single
e.g. xterm by paging through them with key-based commands.

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}

#------------------------------------------------------------------------------

%build
%{__perl} -pi -e "s|^RELEASE=.*|RELEASE=%{release}|" Makefile
%{__make} clean
%{__make}

#------------------------------------------------------------------------------

%install
%makeinstall PREFIX=%{buildroot}%{_prefix}

#------------------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)

# The wulfstat binary
%attr(755,root,root) %{_bindir}/wulfstat

# man pages
%attr(644,root,root) %{_mandir}/man*/*

# The wulfstat docs
%doc README COPYING CHANGELOG wulfhosts.example

#------------------------------------------------------------------------------

%changelog
* Wed Jul  07 2004 Robert G. Brown <rgb@duke.edu>
- Releasing v 0.6.2.  REAL changelog is henceforth in %doc CHANGELOG
* Wed Apr  29 2002 Robert G. Brown <rgb@duke.edu>
- Working stably for a few weeks.  Going into beta.
* Wed Mar  13 2002 Robert G. Brown <rgb@duke.edu>
- set up and built for RH 7.2
